Bug 335671 - "irq 19: nobody cared" when running on kernel-2.6.23.8-63.fc8
"irq 19: nobody cared" when running on kernel-2.6.23.8-63.fc8
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 02:47 EDT by petrosyan
Modified: 2009-09-10 00:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 13:12:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg ouptput (25.34 KB, text/plain)
2007-10-22 13:28 EDT, petrosyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 8853 None None None Never
Novell 325601 None None None Never

  None (edit)
Description petrosyan 2007-10-17 02:47:34 EDT
Description of problem:
kernel gives the following error:
irq 19: nobody cared (try booting with the "irqpoll" option)

Call Trace:
 <IRQ>  [<ffffffff81071937>] __report_bad_irq+0x30/0x72
 [<ffffffff81071b84>] note_interrupt+0x20b/0x24f
 [<ffffffff81072220>] handle_fasteoi_irq+0xb0/0xd9
 [<ffffffff8100e227>] do_IRQ+0xf1/0x162
 [<ffffffff8100c146>] ret_from_intr+0x0/0xf
 <EOI>  [<ffffffff810303ed>] sched_clock_idle_wakeup_event+0x44/0x61
 [<ffffffff8117239e>] acpi_idle_enter_bm+0x2db/0x351
 [<ffffffff81172394>] acpi_idle_enter_bm+0x2d1/0x351
 [<ffffffff811e1373>] cpuidle_idle_call+0x79/0xae
 [<ffffffff811e12fa>] cpuidle_idle_call+0x0/0xae
 [<ffffffff8100aeb3>] cpu_idle+0x9e/0xc6
 [<ffffffff8149abd7>] start_kernel+0x2f7/0x303
 [<ffffffff8149a140>] _sinittext+0x140/0x144

handlers:
[<ffffffff811b6e94>] (usb_hcd_irq+0x0/0x52)
Disabling IRQ #19

Version-Release number of selected component (if applicable):
kernel-2.6.23-6.fc8

Additional info:
Hardware profile:
http://smolt.fedoraproject.org/show?UUID=72026cd7-c491-4435-8c7c-89f339ac129b
Comment 1 petrosyan 2007-10-17 04:42:14 EDT
booting with "irqpoll" option hangs the kernel
Comment 2 Chuck Ebbert 2007-10-17 12:49:42 EDT
Does the kernel work okay using the "noirqdebug" option?
Comment 3 petrosyan 2007-10-18 00:22:52 EDT
the kernel worked okay using the "noirqdebug" option.
after upgrading to kernel-2.6.23.1-18.fc8 I still see this problem:

irq 19: nobody cared (try booting with the "irqpoll" option)

Call Trace:
 <IRQ>  [<ffffffff8106a9a7>] __report_bad_irq+0x30/0x72
 [<ffffffff8106abf8>] note_interrupt+0x20f/0x253
 [<ffffffff8106b4e4>] handle_fasteoi_irq+0xa9/0xd1
 [<ffffffff8100e0fc>] do_IRQ+0xf1/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff81167890>] acpi_idle_enter_bm+0x2c8/0x33c
 [<ffffffff81167886>] acpi_idle_enter_bm+0x2be/0x33c
 [<ffffffff811d566a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d55f6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff8142fbaa>] start_kernel+0x2cf/0x2db
 [<ffffffff8142f140>] _sinittext+0x140/0x144

handlers:
[<ffffffff811aba47>] (usb_hcd_irq+0x0/0x52)
Disabling IRQ #19
Comment 4 petrosyan 2007-10-20 12:18:36 EDT
This still happens with kernel-2.6.23.1-23.fc8

irq 19: nobody cared (try booting with the "irqpoll" option)

Call Trace:
 <IRQ>  [<ffffffff8106a9bb>] __report_bad_irq+0x30/0x72
 [<ffffffff8106ac0c>] note_interrupt+0x20f/0x253
 [<ffffffff8106b4f8>] handle_fasteoi_irq+0xa9/0xd1
 [<ffffffff8100e0fc>] do_IRQ+0xf1/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff8101bdf7>] lapic_next_event+0x0/0xa
 [<ffffffff8125ca53>] _spin_unlock_irqrestore+0x8/0x9
 [<ffffffff8104f365>] tick_notify+0x1e1/0x331
 [<ffffffff8125edc9>] notifier_call_chain+0x29/0x4c
 [<ffffffff8104ef9e>] clockevents_notify+0x24/0x50
 [<ffffffff81167848>] acpi_idle_enter_bm+0x2e0/0x33c
 [<ffffffff811d561a>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d55a6>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc

handlers:
[<ffffffff811ab9f7>] (usb_hcd_irq+0x0/0x52)
Comment 5 Chuck Ebbert 2007-10-22 11:54:00 EDT
Some hardware device is generating a stream of interrupts. Can you post the
output of 'lspci -v'?

Comment 6 petrosyan 2007-10-22 12:33:12 EDT
# lspci -v
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory
Controller Hub (rev 0c)
        Subsystem: Lenovo Unknown device 20b3
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 0c) (prog-if 00 [VGA])
        Subsystem: Lenovo Unknown device 20b5
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at f8100000 (64-bit, non-prefetchable) [size=1M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 1800 [size=8]
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable-
        Capabilities: [d0] Power Management version 3

00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)
        Subsystem: Lenovo Unknown device 20b5
        Flags: bus master, fast devsel, latency 0
        Memory at f8200000 (64-bit, non-prefetchable) [size=1M]
        Capabilities: [d0] Power Management version 3

00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network
Connection (rev 03)
        Subsystem: Lenovo Unknown device 20de
        Flags: bus master, fast devsel, latency 0, IRQ 2299
        Memory at fe000000 (32-bit, non-prefetchable) [size=128K]
        Memory at fe025000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at 1840 [size=32]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable+

00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Contoller #4 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at 1860 [size=32]

00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #5 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Lenovo Thinkpad T60
        Flags: bus master, medium devsel, latency 0, IRQ 21
        I/O ports at 1880 [size=32]

00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #2 (rev 03) (prog-if 20 [EHCI])
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, medium devsel, latency 0, IRQ 22
        Memory at fe226c00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fe020000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [70] Express Unknown type IRQ 0
        Capabilities: [100] Virtual Channel
        Capabilities: [130] Unknown (5)

00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: fc000000-fdffffff
        Prefetchable memory behind bridge: 00000000f8000000-00000000f80fffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: dc100000-dfcfffff
        Prefetchable memory behind bridge: 00000000dfe00000-00000000dfefffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2
        Capabilities: [100] Virtual Channel
        Capabilities: [180] Unknown (5)

00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #1 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Unknown device 20aa
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at 18a0 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #2 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Unknown device 20aa
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at 18c0 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #1 (rev 03) (prog-if 20 [EHCI])
        Subsystem: Lenovo Unknown device 20ab
        Flags: bus master, medium devsel, latency 0, IRQ 19
        Memory at fe227000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3) (prog-if
01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=08, sec-latency=32
        I/O behind bridge: 00004000-00007fff
        Memory behind bridge: f8300000-fbffffff
        Prefetchable memory behind bridge: 00000000f4000000-00000000f7ffffff
        Capabilities: [50] Subsystem: Lenovo Unknown device 20ae

00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface
Controller (rev 03)
        Subsystem: Lenovo Unknown device 20b6
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE
Controller (rev 03) (prog-if 8a [Master SecP PriP])
        Subsystem: Lenovo Unknown device 20a6
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4 [size=1]
        I/O ports at 0170 [size=8]
        I/O ports at 0374 [size=1]
        I/O ports at 18e0 [size=16]

00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA
AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
        Subsystem: Lenovo Unknown device 20a7
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 2301
        I/O ports at 1c30 [size=8]
        I/O ports at 1c24 [size=4]
        I/O ports at 1c28 [size=8]
        I/O ports at 1c20 [size=4]
        I/O ports at 1c00 [size=32]
        Memory at fe226000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/2
Enable+
        Capabilities: [70] Power Management version 3
        Capabilities: [a8] #12 [0010]

00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
        Subsystem: Lenovo Unknown device 20a9
        Flags: medium devsel, IRQ 23
        Memory at fe227400 (32-bit, non-prefetchable) [size=256]
        I/O ports at 1c40 [size=32]

03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
        Subsystem: Intel Corporation Unknown device 1010
        Flags: bus master, fast devsel, latency 0, IRQ 2300
        Memory at dfcff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable+
        Capabilities: [e0] Express Legacy Endpoint IRQ 0
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 0f-38-8e-ff-ff-77-1b-00

05:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
        Subsystem: Lenovo Unknown device 20c6
        Flags: bus master, medium devsel, latency 168, IRQ 16
        Memory at f8300000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=05, secondary=06, subordinate=07, sec-latency=176
        Memory window 0: f4000000-f7fff000 (prefetchable)
        Memory window 1: c4000000-c7fff000
        I/O window 0: 00004000-000040ff
        I/O window 1: 00004400-000044ff
        16-bit legacy interface ports at 0001

05:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
(prog-if 10 [OHCI])
        Subsystem: Lenovo Unknown device 20c7
        Flags: bus master, medium devsel, latency 64, IRQ 17
        Memory at f8301000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [dc] Power Management version 2

05:00.2 Generic system peripheral [0805]: Ricoh Co Ltd R5C822
SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)
        Subsystem: Lenovo Unknown device 20c8
        Flags: bus master, medium devsel, latency 64, IRQ 18
        Memory at f8301800 (32-bit, non-prefetchable) [size=256]
        Capabilities: [80] Power Management version 2
Comment 7 Chuck Ebbert 2007-10-22 12:51:54 EDT
Try booting with option "pci=nomsi"
Comment 8 petrosyan 2007-10-22 13:28:26 EDT
still happens with "pci=nomsi" option. Attaching dmesg output.
Comment 9 petrosyan 2007-10-22 13:28:44 EDT
Created attachment 234281 [details]
dmesg ouptput
Comment 10 Chuck Ebbert 2007-10-22 18:23:54 EDT
This might be one of those broken notebooks with screaming Bluetooth interrupts.
Does it have Bluetooth, and if so can you disable it in the BIOS setup screens?
Comment 11 petrosyan 2007-10-22 19:18:33 EDT
Yes, it has Bluetooth and it is possible to disable it in BIOS. After disabling
it I have not encountered that problem anymore. If Bluetooth is indeed the
problem, is there any way to fix it other than disabling it? I use Bluetooth for
a wireless mouse sometimes.
Comment 12 Ulrich Drepper 2007-10-28 13:12:59 EDT
Same here with 2.6.23.1-37.fc8.  And yes, there is a Bluetooth.

Can this also be responsible for the huge interrupt count on other USB bridges?

# grep 20: /proc/interrupts ;sleep 1;grep 20: /proc/interrupts
 20:        280     147490   IO-APIC-fasteoi   uhci_hcd:usb3
 20:        280     147591   IO-APIC-fasteoi   uhci_hcd:usb3

Note, this is interrupt 20.  The error and ignored interrupt is 19.  On 20 I see
100 interrupts a second which is likely eating tremendously into the battery life.
Comment 13 Chuck Ebbert 2007-10-29 17:12:11 EDT
(In reply to comment #12)
> Same here with 2.6.23.1-37.fc8.  And yes, there is a Bluetooth.
> 
> Can this also be responsible for the huge interrupt count on other USB bridges?
> 
> # grep 20: /proc/interrupts ;sleep 1;grep 20: /proc/interrupts
>  20:        280     147490   IO-APIC-fasteoi   uhci_hcd:usb3
>  20:        280     147591   IO-APIC-fasteoi   uhci_hcd:usb3
> 
> Note, this is interrupt 20.  The error and ignored interrupt is 19.  On 20 I see
> 100 interrupts a second which is likely eating tremendously into the battery life.

What USB devices are present? Does lsusb show any?
Comment 14 Ulrich Drepper 2007-10-29 18:58:42 EDT
(In reply to comment #13)
> What USB devices are present? Does lsusb show any?

None.  Well, I don't know who the fingerprint reader is connected...

Anyway, I turned off Bluetooth in the BIOS and the interrupt counts are not
going up like this.
Comment 15 petrosyan 2007-10-30 20:47:06 EDT
this is still happening with kernel-2.6.23.1-41.fc8

irq 19: nobody cared (try booting with the "irqpoll" option)

Call Trace:
 <IRQ>  [<ffffffff8106a9bb>] __report_bad_irq+0x30/0x72
 [<ffffffff8106ac0c>] note_interrupt+0x20f/0x253
 [<ffffffff8106b4f8>] handle_fasteoi_irq+0xa9/0xd1
 [<ffffffff8100e0fc>] do_IRQ+0xf1/0x161
 [<ffffffff8100c0e1>] ret_from_intr+0x0/0xa
 <EOI>  [<ffffffff811678b0>] acpi_idle_enter_bm+0x2c8/0x33c
 [<ffffffff811678a6>] acpi_idle_enter_bm+0x2be/0x33c
 [<ffffffff811d5692>] cpuidle_idle_call+0x74/0xa6
 [<ffffffff811d561e>] cpuidle_idle_call+0x0/0xa6
 [<ffffffff8100ae8b>] cpu_idle+0x94/0xbc
 [<ffffffff8142fbaa>] start_kernel+0x2cf/0x2db
 [<ffffffff8142f140>] _sinittext+0x140/0x144

handlers:
[<ffffffff811aba6f>] (usb_hcd_irq+0x0/0x52)
Disabling IRQ #19


Even after IRQ 19 gets disabled, my Bluetooth mouse continues to work. and IRQ
20 is still generating 100 interrupts per second.
Comment 16 petrosyan 2007-11-19 18:09:10 EST
I have installed kernel-2.6.24-0.38.rc2.git6.fc9.x86_64 and I am still seeing
this bug:
irq 19: nobody cared (try booting with the "irqpoll" option)

Call Trace:
 <IRQ>  [<ffffffff8107690f>] __report_bad_irq+0x30/0x72
 [<ffffffff81076b5c>] note_interrupt+0x20b/0x24f
 [<ffffffff810771f8>] handle_fasteoi_irq+0xb0/0xd9
 [<ffffffff8100e78e>] do_IRQ+0xf1/0x15f
 [<ffffffff8100c446>] ret_from_intr+0x0/0xf
 <EOI>  [<ffffffff81178e4b>] acpi_idle_enter_bm+0x297/0x344
 [<ffffffff81178e41>] acpi_idle_enter_bm+0x28d/0x344
 [<ffffffff811e8404>] cpuidle_idle_call+0x79/0xad
 [<ffffffff811e838b>] cpuidle_idle_call+0x0/0xad
 [<ffffffff8100b142>] cpu_idle+0x9e/0xc6

handlers:
[<ffffffff811bdc71>] (usb_hcd_irq+0x0/0x52)
Disabling IRQ #19
Comment 17 Kyle Jake Plimack 2007-11-20 01:07:26 EST
[root@norcal ~]# lspci -v
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory
Controller Hub (rev 0c)
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root
Port (rev 0c) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 00002000-00002fff
        Memory behind bridge: d4000000-d6ffffff
        Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
        Capabilities: [88] Subsystem: Lenovo Unknown device 20b2
        Capabilities: [80] Power Management version 3
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [a0] Express Root Port (Slot+) IRQ 0

00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network
Connection (rev 03)
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, fast devsel, latency 0, IRQ 2295
        Memory at fe200000 (32-bit, non-prefetchable) [size=128K]
        Memory at fe225000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at 1840 [size=32]
        Capabilities: [c8] Power Management version 2
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable+

00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Contoller #4 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at 1860 [size=32]

00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #5 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Lenovo Thinkpad T60
        Flags: bus master, medium devsel, latency 0, IRQ 21
        I/O ports at 1880 [size=32]

00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #2 (rev 03) (prog-if 20 [EHCI])
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, medium devsel, latency 0, IRQ 22
        Memory at fe226c00 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
        Subsystem: Lenovo Lenovo Thinkpad T61
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fe220000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [70] Express Unknown type IRQ 0

00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00003000-00003fff
        Memory behind bridge: fc000000-fdffffff
        Prefetchable memory behind bridge: 00000000f8000000-00000000f80fffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2

00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: dc100000-df2fffff
        Prefetchable memory behind bridge: 00000000dfd00000-00000000dfdfffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2

00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 00005000-00005fff
        Memory behind bridge: d8000000-d9ffffff
        Prefetchable memory behind bridge: 00000000dfa00000-00000000dfafffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2

00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=0c, sec-latency=0
        I/O behind bridge: 00006000-00006fff
        Memory behind bridge: d0000000-d1ffffff
        Prefetchable memory behind bridge: 00000000df700000-00000000df7fffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2

00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5
(rev 03) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=0d, subordinate=14, sec-latency=0
        I/O behind bridge: 00007000-00007fff
        Memory behind bridge: cc000000-cdffffff
        Prefetchable memory behind bridge: 00000000df400000-00000000df4fffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Lenovo Unknown device 20ad
        Capabilities: [a0] Power Management version 2

00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #1 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Unknown device 20aa
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at 18a0 [size=32]

00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #2 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Unknown device 20aa
        Flags: bus master, medium devsel, latency 0, IRQ 17
        I/O ports at 18c0 [size=32]

00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #3 (rev 03) (prog-if 00 [UHCI])
        Subsystem: Lenovo Unknown device 20aa
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at 18e0 [size=32]

00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #1 (rev 03) (prog-if 20 [EHCI])
        Subsystem: Lenovo Unknown device 20ab
        Flags: bus master, medium devsel, latency 0, IRQ 19
        Memory at fe227000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2
        Capabilities: [58] Debug port

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3) (prog-if
01 [Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=15, subordinate=18, sec-latency=32
        I/O behind bridge: 00008000-0000bfff
        Memory behind bridge: f8100000-fbffffff
        Prefetchable memory behind bridge: 00000000f4000000-00000000f7ffffff
        Capabilities: [50] Subsystem: Lenovo Unknown device 20ae

00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface
Controller (rev 03)
        Subsystem: Lenovo Unknown device 20b6
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE
Controller (rev 03) (prog-if 8a [Master SecP PriP])
        Subsystem: Lenovo Unknown device 20a6
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at 01f0 [size=8]
        I/O ports at 03f4 [size=1]
        I/O ports at 0170 [size=8]
        I/O ports at 0374 [size=1]
        I/O ports at 1830 [size=16]

00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA
AHCI Controller (rev 03) (prog-if 01 [AHCI 1.0])
        Subsystem: Lenovo Unknown device 20a7
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 2297
        I/O ports at 1c48 [size=8]
        I/O ports at 1c1c [size=4]
        I/O ports at 1c40 [size=8]
        I/O ports at 1c18 [size=4]
        I/O ports at 1c20 [size=32]
        Memory at fe226000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/2
Enable+
        Capabilities: [70] Power Management version 3
        Capabilities: [a8] #12 [0010]

00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
        Subsystem: Lenovo Unknown device 20a9
        Flags: medium devsel, IRQ 23
        Memory at fe227400 (32-bit, non-prefetchable) [size=256]
        I/O ports at 1c60 [size=32]

01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0429 (rev
a1) (prog-if 00 [VGA])
        Subsystem: Lenovo Unknown device 20d8
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at d6000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at d4000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at 2000 [size=128]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [78] Express Endpoint IRQ 0

03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN
Network Connection (rev 61)
        Subsystem: Intel Corporation Unknown device 1010
        Flags: bus master, fast devsel, latency 0, IRQ 2296
        Memory at df2fe000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable+
        Capabilities: [e0] Express Endpoint IRQ 0

15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
        Subsystem: Lenovo Unknown device 20c6
        Flags: bus master, medium devsel, latency 168, IRQ 16
        Memory at f8100000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=15, secondary=16, subordinate=17, sec-latency=176
        Memory window 0: f4000000-f7fff000 (prefetchable)
        Memory window 1: c4000000-c7fff000
        I/O window 0: 00008000-000080ff
        I/O window 1: 00008400-000084ff
        16-bit legacy interface ports at 0001

15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
(prog-if 10 [OHCI])
        Subsystem: Lenovo Unknown device 20c7
        Flags: bus master, medium devsel, latency 64, IRQ 17
        Memory at f8101000 (32-bit, non-prefetchable) [size=2K]
        Capabilities: [dc] Power Management version 2
Comment 18 Dietmar Schnabel 2007-12-05 14:50:28 EST
This might be from interest.

I recently tried to upgrade from kernel 2.6.23.1-49.fc8 to kernel 2.6.23.8-63.fc8
and with this kernel i was not able to boot anymore. What i can confirm is that
even with kernel 2.6.23.1-49.fc8 i see the following in dmesg:

Because of problems with earlier kernels i was switching to a Fedora 8 kernel on
Fedora 7 - (but i know that kernel 2.6.23.8-34 was giving me the exact same
issue on Fedora 7.)

I had other small issues with kernel  2.6.23.1-21.fc7 (built in soundcard
support) which was the reason for my switch and try with later kernels.


I do not see those messages with kernel 2.6.23.1.21.fc7:

usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2
usb 8-5: reset high speed USB device using ehci_hcd and address 2

I am running a abit ip35 motherboard with the latest bios and

this is the output of lspci -v:

00:00.0 Host bridge: Intel Corporation DRAM Controller (rev 02)
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, fast devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:01.0 PCI bridge: Intel Corporation PCI Express Root Port (rev 02) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000a000-0000afff
        Memory behind bridge: f8000000-fbffffff
        Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
        Capabilities: [88] Subsystem: Intel Corporation PCI Express Root Port
        Capabilities: [80] Power Management version 3
        Capabilities: [90] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [a0] Express Root Port (Slot+) IRQ 0

00:1a.0 USB Controller: Intel Corporation USB UHCI Controller #4 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 16
        I/O ports at ff00 [size=32]
        Capabilities: [50] Vendor Specific Information

00:1a.1 USB Controller: Intel Corporation USB UHCI Controller #5 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 19
        I/O ports at fe00 [size=32]
        Capabilities: [50] Vendor Specific Information

00:1a.2 USB Controller: Intel Corporation USB UHCI Controller #6 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at fd00 [size=32]
        Capabilities: [50] Vendor Specific Information

00:1a.7 USB Controller: Intel Corporation USB2 EHCI Controller #2 (rev 02)
(prog-if 20 [EHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 18
        Memory at fdfff000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2

00:1b.0 Audio device: Intel Corporation HD Audio Controller (rev 02)
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, fast devsel, latency 0, IRQ 22
        Memory at fdff8000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [70] Express Unknown type IRQ 0

00:1c.0 PCI bridge: Intel Corporation PCI Express Port 1 (rev 02) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00009000-00009fff
        Memory behind bridge: fdb00000-fdbfffff
        Prefetchable memory behind bridge: 00000000fd800000-00000000fd8fffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Intel Corporation PCI Express Port 1
        Capabilities: [a0] Power Management version 2

00:1c.1 PCI bridge: Intel Corporation PCI Express Port 2 (rev 02) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        I/O behind bridge: 0000d000-0000dfff
        Memory behind bridge: fd700000-fd7fffff
        Prefetchable memory behind bridge: 00000000fde00000-00000000fdefffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Intel Corporation PCI Express Port 2
        Capabilities: [a0] Power Management version 2

00:1c.2 PCI bridge: Intel Corporation PCI Express Port 3 (rev 02) (prog-if 00
[Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: fdd00000-fddfffff
        Prefetchable memory behind bridge: 00000000fdc00000-00000000fdcfffff
        Capabilities: [40] Express Root Port (Slot+) IRQ 0
        Capabilities: [80] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable+
        Capabilities: [90] Subsystem: Intel Corporation PCI Express Port 3
        Capabilities: [a0] Power Management version 2

00:1d.0 USB Controller: Intel Corporation USB UHCI Controller #1 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 21
        I/O ports at fc00 [size=32]
        Capabilities: [50] Vendor Specific Information

00:1d.1 USB Controller: Intel Corporation USB UHCI Controller #2 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 20
        I/O ports at fb00 [size=32]
        Capabilities: [50] Vendor Specific Information

00:1d.2 USB Controller: Intel Corporation USB UHCI Controller #3 (rev 02)
(prog-if 00 [UHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 18
        I/O ports at fa00 [size=32]
        Capabilities: [50] Vendor Specific Information

00:1d.7 USB Controller: Intel Corporation USB2 EHCI Controller #1 (rev 02)
(prog-if 20 [EHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 0, IRQ 21
        Memory at fdffe000 (32-bit, non-prefetchable) [size=1K]
        Capabilities: [50] Power Management version 2

00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92) (prog-if 01
[Subtractive decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=05, subordinate=05, sec-latency=32
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: fda00000-fdafffff
        Prefetchable memory behind bridge: 00000000fd900000-00000000fd9fffff
        Capabilities: [50] Subsystem: Intel Corporation 82801 PCI Bridge

00:1f.0 ISA bridge: Intel Corporation LPC Interface Controller (rev 02)
        Subsystem: Intel Corporation LPC Interface Controller
        Flags: bus master, medium devsel, latency 0
        Capabilities: [e0] Vendor Specific Information

00:1f.2 IDE interface: Intel Corporation 4 port SATA IDE Controller (rev 02)
(prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 20
        I/O ports at f900 [size=8]
        I/O ports at f800 [size=4]
        I/O ports at f700 [size=8]
        I/O ports at f600 [size=4]
        I/O ports at f500 [size=16]
        I/O ports at f400 [size=16]
        Capabilities: [70] Power Management version 3
        Capabilities: [b0] Vendor Specific Information

00:1f.3 SMBus: Intel Corporation SMBus Controller (rev 02)
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: medium devsel, IRQ 18
        Memory at fdffd000 (64-bit, non-prefetchable) [size=256]
        I/O ports at 0500 [size=32]

00:1f.5 IDE interface: Intel Corporation 2 port SATA IDE Controller (rev 02)
(prog-if 85 [Master SecO PriO])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 20
        I/O ports at f200 [size=8]
        I/O ports at f100 [size=4]
        I/O ports at f000 [size=8]
        I/O ports at ef00 [size=4]
        I/O ports at ee00 [size=16]
        I/O ports at ed00 [size=16]
        Capabilities: [70] Power Management version 3
        Capabilities: [b0] Vendor Specific Information

01:00.0 VGA compatible controller: nVidia Corporation Unknown device 0421 (rev
a1) (prog-if 00 [VGA])
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
        I/O ports at af00 [size=128]
        [virtual] Expansion ROM at fb000000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [78] Express Endpoint IRQ 0

03:00.0 IDE interface: JMicron Technologies, Inc. JMB368 IDE controller (prog-if
85 [Master SecO PriO])
        Subsystem: JMicron Technologies, Inc. JMB368 IDE controller
        Flags: bus master, fast devsel, latency 0, IRQ 17
        I/O ports at df00 [size=8]
        I/O ports at de00 [size=4]
        I/O ports at dd00 [size=8]
        I/O ports at dc00 [size=4]
        I/O ports at db00 [size=16]
        [virtual] Expansion ROM at fde00000 [disabled] [size=64K]
        Capabilities: [68] Power Management version 2
        Capabilities: [50] Express Legacy Endpoint IRQ 1
        Capabilities: [70] Message Signalled Interrupts: Mask- 64bit- Queue=0/0
Enable-

04:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E Gigabit
Ethernet Controller (rev 13)
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, fast devsel, latency 0, IRQ 219
        Memory at fddfc000 (64-bit, non-prefetchable) [size=16K]
        I/O ports at be00 [size=256]
        [virtual] Expansion ROM at fdc00000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 3
        Capabilities: [50] Vital Product Data
        Capabilities: [5c] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable+
        Capabilities: [e0] Express Legacy Endpoint IRQ 0

05:02.0 FireWire (IEEE 1394): Texas Instruments TSB43AB22/A IEEE-1394a-2000
Controller (PHY/Link) (prog-if 10 [OHCI])
        Subsystem: ABIT Computer Corp. Unknown device 1084
        Flags: bus master, medium devsel, latency 68, IRQ 23
        Memory at fdaff000 (32-bit, non-prefetchable) [size=2K]
        Memory at fdaf8000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2

05:03.0 Multimedia audio controller: Ensoniq 5880 AudioPCI (rev 02)
        Subsystem: Ensoniq Creative Sound Blaster AudioPCI128
        Flags: bus master, slow devsel, latency 64, IRQ 19
        I/O ports at cf00 [size=64]
        Capabilities: [dc] Power Management version 1

05:04.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
        Subsystem: KNC One Unknown device 0021
        Flags: bus master, medium devsel, latency 64, IRQ 22
        Memory at fdafe000 (32-bit, non-prefetchable) [size=512]

05:05.0 Multimedia controller: Philips Semiconductors SAA7146 (rev 01)
        Subsystem: KNC One Unknown device 0022
        Flags: bus master, medium devsel, latency 64, IRQ 21
        Memory at fdafd000 (32-bit, non-prefetchable) [size=512]


Thanks for any help!!

Dietmar
Comment 19 Kevin R. Page 2007-12-05 18:43:18 EST
Dietmar, kernel 2.6.23.8-63.fc8 boots fine for me, though I still get the "irq:
XX: nobody cared" error and call trace (unless using "noirqdebug", obviously).

(Thinkpad X61s)
Comment 20 Stephen Haffly 2007-12-08 11:29:14 EST
I have encountered this problem also on my HP Pavilion a1610n, but usually for
IRQ 7, which is my onboard sound device.  When it happens, my sound goes into a
loop, sticking on and repeating one sound very rapidly.  This will not stop
until I shut down.  Adding "noirqdebug" fixes it.

# uname -a
Linux emerald 2.6.23.8-63.fc8 #1 SMP Wed Nov 21 17:56:40 EST 2007 x86_64 x86_64
x86_64 GNU/Linux

# lspci -v
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0
        Capabilities: [44] HyperTransport: Slave or Primary Interface
        Capabilities: [e0] HyperTransport: MSI Mapping

00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel

00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel

00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel

00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0

00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0
        Capabilities: [44] #00 [00fe]
        Capabilities: [fc] #00 [0000]

00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel

00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel

00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1) (prog-if
00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000b000-0000bfff
        Memory behind bridge: fdb00000-fdbfffff
        Prefetchable memory behind bridge: 00000000fdc00000-00000000fdcfffff
        Capabilities: [40] Subsystem: nVidia Corporation Unknown device 0000
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1
Enable+
        Capabilities: [60] HyperTransport: MSI Mapping
        Capabilities: [80] Express Root Port (Slot+) IRQ 0

00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1) (prog-if
00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00008000-00008fff
        Memory behind bridge: fa000000-fcffffff
        Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
        Capabilities: [40] Subsystem: nVidia Corporation Unknown device 0000
        Capabilities: [48] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask- 64bit+ Queue=0/1
Enable+
        Capabilities: [60] HyperTransport: MSI Mapping
        Capabilities: [80] Express Root Port (Slot+) IRQ 0

00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0
        Capabilities: [44] HyperTransport: Slave or Primary Interface
        Capabilities: [e0] HyperTransport: MSI Mapping

00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a3)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0

00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a3)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel, IRQ 255
        I/O ports at 4c00 [size=64]
        I/O ports at 4c40 [size=64]
        Capabilities: [44] Power Management version 2

00:0a.2 RAM memory: nVidia Corporation MCP51 Memory Controller 0 (rev a3)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: 66MHz, fast devsel

00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
(prog-if 10 [OHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
        Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a3)
(prog-if 20 [EHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 10
        Memory at fe02e000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [44] Debug port
        Capabilities: [80] Power Management version 2

00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1) (prog-if 8a [Master
SecP PriP])
        Subsystem: Unknown device f03c:2a34
        Flags: bus master, 66MHz, fast devsel, latency 0
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
        I/O ports at f400 [size=16]
        Capabilities: [44] Power Management version 2

00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
(prog-if 85 [Master SecO PriO])
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 10
        I/O ports at 09f0 [size=8]
        I/O ports at 0bf0 [size=4]
        I/O ports at 0970 [size=8]
        I/O ports at 0b70 [size=4]
        I/O ports at e000 [size=16]
        Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
        Capabilities: [b0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/2
Enable-
        Capabilities: [cc] HyperTransport: MSI Mapping

00:0f.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
(prog-if 85 [Master SecO PriO])
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
        I/O ports at 09e0 [size=8]
        I/O ports at 0be0 [size=4]
        I/O ports at 0960 [size=8]
        I/O ports at 0b60 [size=4]
        I/O ports at cc00 [size=16]
        Memory at fe02c000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
        Capabilities: [b0] Message Signalled Interrupts: Mask- 64bit+ Queue=0/2
Enable-
        Capabilities: [cc] HyperTransport: MSI Mapping

00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2) (prog-if 01
[Subtractive decode])
        Flags: bus master, 66MHz, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=128
        I/O behind bridge: 00009000-0000afff
        Memory behind bridge: fde00000-fdefffff
        Prefetchable memory behind bridge: fdd00000-fddfffff
        Capabilities: [b8] Subsystem: Gammagraphx, Inc. Unknown device 0000
        Capabilities: [8c] HyperTransport: MSI Mapping

00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 7
        Memory at fe024000 (32-bit, non-prefetchable) [size=16K]
        Capabilities: [44] Power Management version 2
        Capabilities: [50] Message Signalled Interrupts: Mask+ 64bit+ Queue=0/0
Enable-
        Capabilities: [6c] HyperTransport: MSI Mapping

00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a3)
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
        Memory at fe02b000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at c800 [size=8]
        Capabilities: [44] Power Management version 2

00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
        Flags: fast devsel
        Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
        Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
        Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
        Flags: fast devsel
        Capabilities: [f0] #0f [0010]

02:00.0 VGA compatible controller: nVidia Corporation G70 [GeForce 7600 GS] (rev
a1) (prog-if 00 [VGA])
        Subsystem: Unknown device 196e:033c
        Flags: bus master, fast devsel, latency 0, IRQ 5
        Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        Memory at fb000000 (64-bit, non-prefetchable) [size=16M]
        I/O ports at 8c00 [size=128]
        [virtual] Expansion ROM at fcfe0000 [disabled] [size=128K]
        Capabilities: [60] Power Management version 2
        Capabilities: [68] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0
Enable-
        Capabilities: [78] Express Endpoint IRQ 0

03:05.0 FireWire (IEEE 1394): Agere Systems FW323 (rev 70) (prog-if 10 [OHCI])
        Subsystem: Hewlett-Packard Company Unknown device 2a34
        Flags: bus master, medium devsel, latency 32, IRQ 9
        Memory at fdeff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2

03:0a.0 Serial controller: NetMos Technology PCI 9835 Multi-I/O Controller (rev
01) (prog-if 02 [16550])
        Subsystem: LSI Logic / Symbios Logic 2S (16C550 UART)
        Flags: medium devsel, IRQ 11
        I/O ports at ac00 [size=8]
        I/O ports at a800 [size=8]
        I/O ports at a400 [size=8]
        I/O ports at a000 [size=8]
        I/O ports at 9c00 [size=8]
        I/O ports at 9800 [size=16]

Besides this, I now have to use "noapic" again like I did with Fedora 7.  With
Fedora 8's previous kernels, it complained about a bug at boot, but would still
boot up.

Comment 21 petrosyan 2007-12-17 15:07:22 EST
T61/R61 users should upgrade to the latest BIOS from Lenovo:
http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-67989
it should fix this bug for them.
Unfortunately there is not BIOS upgrade for X61 users.
Comment 22 Chuck Ebbert 2007-12-21 13:10:57 EST
(In reply to comment #20)
> I have encountered this problem also on my HP Pavilion a1610n, but usually for
> IRQ 7, which is my onboard sound device.  When it happens, my sound goes into a
> loop, sticking on and repeating one sound very rapidly.  This will not stop
> until I shut down.  Adding "noirqdebug" fixes it.
> 

This is not the same bug. It happens on several HP notebooks with NVidia
chipsets, including Tx1000 series.
Comment 23 Chuck Ebbert 2007-12-21 13:12:06 EST
original Lenovo T61/R61 bug fixed by BIOS update, X61 should be fixed by new
BIOS soon.
Comment 24 Nivag 2009-09-10 00:01:21 EDT
N.B. had this error using the 2.6.29.6-217.2.8.fc11.x86_64 kernel, but did not report it as the 2.6.30.5 was available as an update, the same day.

# uname -a
Linux saturn 2.6.30.5-43.fc11.x86_64 #1 SMP Thu Aug 27 21:39:52 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
# 

Additional info:

up to date Fedora 11 install
AMD 810 quad core 64 bit
8 GB DDR3 RAM
5 * 500GB in software RAID-6 configuration
ASUS M4A78T-E motherboard  

[...]
Sep 10 14:27:32 saturn ntpd[1830]: synchronized to 192.168.1.205, stratum 2
Sep 10 14:28:42 saturn kernel: irq 19: nobody cared (try booting with the "irqpoll" option)
Sep 10 14:28:42 saturn kernel: Pid: 0, comm: swapper Not tainted 2.6.30.5-43.fc11.x86_64 #1
Sep 10 14:28:42 saturn kernel: Call Trace:
Sep 10 14:28:42 saturn kernel: Call Trace:
Sep 10 14:28:42 saturn kernel: <IRQ>  [<ffffffff810acff1>] __report_bad_irq+0x4a/0xb0
Sep 10 14:28:42 saturn kernel: [<ffffffff810ad17e>] note_interrupt+0x127/0x1a1
Sep 10 14:28:42 saturn kernel: [<ffffffff810ada26>] handle_fasteoi_irq+0xab/0xe6
Sep 10 14:28:42 saturn kernel: [<ffffffff81014e47>] handle_irq+0x9a/0xbb
Sep 10 14:28:42 saturn kernel: [<ffffffff814986d8>] ? trace_hardirqs_off_thunk+0x3a/0x6c
Sep 10 14:28:42 saturn kernel: [<ffffffff810143a6>] do_IRQ+0x6f/0xee
Sep 10 14:28:42 saturn kernel: [<ffffffff81012a93>] ret_from_intr+0x0/0x16
Sep 10 14:28:42 saturn kernel: <EOI>  [<ffffffff81032d6d>] ? native_safe_halt+0xb/0xd
Sep 10 14:28:42 saturn kernel: <EOI>  [<ffffffff81032d6d>] ? native_safe_halt+0xb/0xd
Sep 10 14:28:42 saturn kernel: [<ffffffff8101a597>] ? default_idle+0x5b/0x9a
Sep 10 14:28:42 saturn kernel: [<ffffffff8101a706>] ? c1e_idle+0x130/0x14b
Sep 10 14:28:42 saturn kernel: [<ffffffff81010f96>] ? cpu_idle+0xbf/0x10a
Sep 10 14:28:42 saturn kernel: [<ffffffff81491389>] ? start_secondary+0x211/0x268
Sep 10 14:28:42 saturn kernel: handlers:
Sep 10 14:28:42 saturn kernel: [<ffffffff813500cf>] (usb_hcd_irq+0x0/0xcc)
Sep 10 14:28:42 saturn kernel: [<ffffffffa01f74dd>] (azx_interrupt+0x0/0x154 [snd_hda_intel])
Sep 10 14:28:42 saturn kernel: [<ffffffffa01c0c2f>] (irq_handler+0x0/0x35c [firewire_ohci])
Sep 10 14:28:42 saturn kernel: Disabling IRQ #19
[...]
Comment 25 Nivag 2009-09-10 00:08:10 EDT

$ ssh root@saturn
root@saturn's password: 
# lsusb
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 004: ID 045e:00cb Microsoft Corp. 
Bus 003 Device 003: ID 045e:0750 Microsoft Corp. 
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
# lspci -v
00:00.0 Host bridge: Advanced Micro Devices [AMD] RS780 Host Bridge
	Subsystem: Advanced Micro Devices [AMD] RS780 Host Bridge
	Flags: bus master, 66MHz, medium devsel, latency 0
	Capabilities: [c4] HyperTransport: Slave or Primary Interface
	Capabilities: [54] HyperTransport: UnitID Clumping
	Capabilities: [40] HyperTransport: Retry Mode
	Capabilities: [9c] HyperTransport: #1a
	Capabilities: [f8] HyperTransport: #1c

00:01.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx) (prog-if 00 [Normal decode])
	Flags: bus master, 66MHz, medium devsel, latency 64
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fbc00000-fbdfffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Capabilities: [44] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [b0] Subsystem: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (int gfx)
	Kernel modules: shpchp

00:06.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 2) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fbe00000-fbefffff
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot+), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [b0] Subsystem: Advanced Micro Devices [AMD] Device 9600
	Capabilities: [b8] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [100] Vendor Specific Information <?>
	Capabilities: [110] Virtual Channel <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:07.0 PCI bridge: Advanced Micro Devices [AMD] RS780 PCI to PCI bridge (PCIE port 3) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: fbf00000-fbffffff
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Port (Slot+), MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [b0] Subsystem: Advanced Micro Devices [AMD] Device 9600
	Capabilities: [b8] HyperTransport: MSI Mapping Enable+ Fixed+
	Capabilities: [100] Vendor Specific Information <?>
	Capabilities: [110] Virtual Channel <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:11.0 SATA controller: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode] (prog-if 01 [AHCI 1.0])
	Subsystem: ATI Technologies Inc SB700/SB800 SATA Controller [AHCI mode]
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 22
	I/O ports at b000 [size=8]
	I/O ports at a000 [size=4]
	I/O ports at 9000 [size=8]
	I/O ports at 8000 [size=4]
	I/O ports at 7000 [size=16]
	Memory at fbbffc00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [60] Power Management version 2
	Capabilities: [70] SATA HBA <?>
	Kernel driver in use: ahci

00:12.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller (prog-if 10 [OHCI])
	Subsystem: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 16
	Memory at fbbfd000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller (prog-if 10 [OHCI])
	Subsystem: ATI Technologies Inc SB700 USB OHCI1 Controller
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 16
	Memory at fbbfe000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:12.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller (prog-if 20 [EHCI])
	Subsystem: ATI Technologies Inc Device 4397
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 17
	Memory at fbbff800 (32-bit, non-prefetchable) [size=256]
	Capabilities: [c0] Power Management version 2
	Capabilities: [e4] Debug port: BAR=1 offset=00e0
	Kernel driver in use: ehci_hcd

00:13.0 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI0 Controller (prog-if 10 [OHCI])
	Subsystem: ATI Technologies Inc Device 4398
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 18
	Memory at fbbfb000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.1 USB Controller: ATI Technologies Inc SB700 USB OHCI1 Controller (prog-if 10 [OHCI])
	Subsystem: ATI Technologies Inc Device 4399
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 18
	Memory at fbbfc000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:13.2 USB Controller: ATI Technologies Inc SB700/SB800 USB EHCI Controller (prog-if 20 [EHCI])
	Subsystem: ATI Technologies Inc SB700/SB800 USB EHCI Controller
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 19
	Memory at fbbff400 (32-bit, non-prefetchable) [size=256]
	Capabilities: [c0] Power Management version 2
	Capabilities: [e4] Debug port: BAR=1 offset=00e0
	Kernel driver in use: ehci_hcd

00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3a)
	Subsystem: ATI Technologies Inc SBx00 SMBus Controller
	Flags: 66MHz, medium devsel
	Capabilities: [b0] HyperTransport: MSI Mapping Enable- Fixed+
	Kernel driver in use: piix4_smbus
	Kernel modules: i2c-piix4

00:14.1 IDE interface: ATI Technologies Inc SB700/SB800 IDE Controller (prog-if 8a [Master SecP PriP])
	Subsystem: ATI Technologies Inc SB700/SB800 IDE Controller
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 16
	I/O ports at 01f0 [size=8]
	I/O ports at 03f4 [size=1]
	I/O ports at 0170 [size=8]
	I/O ports at 0374 [size=1]
	I/O ports at ff00 [size=16]
	Capabilities: [70] MSI: Enable- Count=1/1 Maskable- 64bit-
	Kernel driver in use: pata_atiixp
	Kernel modules: ata_generic, pata_acpi, pata_atiixp

00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
	Subsystem: Device 8357:1043
	Flags: bus master, slow devsel, latency 64, IRQ 16
	Memory at fbbf4000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:14.3 ISA bridge: ATI Technologies Inc SB700/SB800 LPC host controller
	Subsystem: ATI Technologies Inc Device 4383
	Flags: bus master, 66MHz, medium devsel, latency 0

00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, medium devsel, latency 64
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=64

00:14.5 USB Controller: ATI Technologies Inc SB700/SB800 USB OHCI2 Controller (prog-if 10 [OHCI])
	Subsystem: ATI Technologies Inc Device 4396
	Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 18
	Memory at fbbfa000 (32-bit, non-prefetchable) [size=4K]
	Kernel driver in use: ohci_hcd

00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
	Flags: fast devsel
	Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
	Flags: fast devsel

00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
	Flags: fast devsel
	Capabilities: [f0] Secure device <?>

00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
	Flags: fast devsel

01:05.0 VGA compatible controller: ATI Technologies Inc Radeon HD 3300 Graphics (prog-if 00 [VGA controller])
	Subsystem: ATI Technologies Inc Device 0000
	Flags: bus master, fast devsel, latency 0, IRQ 18
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	I/O ports at c000 [size=256]
	Memory at fbde0000 (32-bit, non-prefetchable) [size=64K]
	Memory at fbc00000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [50] Power Management version 3
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Kernel driver in use: radeon
	Kernel modules: radeon

01:05.1 Audio device: ATI Technologies Inc RS780 Azalia controller
	Subsystem: ATI Technologies Inc RS780 Azalia controller
	Flags: bus master, fast devsel, latency 0, IRQ 19
	Memory at fbdfc000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 3
	Capabilities: [a0] MSI: Enable- Count=1/1 Maskable- 64bit+
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

02:00.0 Ethernet controller: Attansic Technology Corp. Atheros AR8121/AR8113/AR8114 PCI-E Ethernet Controller (rev b0)
	Subsystem: ASUSTeK Computer Inc. Device 831c
	Flags: bus master, fast devsel, latency 0, IRQ 27
	Memory at fbec0000 (64-bit, non-prefetchable) [size=256K]
	I/O ports at dc00 [size=128]
	Capabilities: [40] Power Management version 2
	Capabilities: [48] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [58] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [180] Device Serial Number ff-44-49-bc-00-24-8c-ff
	Kernel driver in use: ATL1E
	Kernel modules: atl1e

03:00.0 FireWire (IEEE 1394): VIA Technologies, Inc. Device 3403 (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: firewire_ohci

Note You need to log in before you can comment on or make changes to this bug.